List messages for a conversation

Retrieves a paginated list of the messages in a single conversation (scoped to the authenticated customer), ordered by created date (most recent first).

GET
/v3/conversations/{id}

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v3/conversations/08fab313-c9e2-502c-975e-08b0356c432e?page=1&page_size=20"
{
  "success": true,
  "data": {
    "messages": [
      {
        "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
        "customer_id": "41681f0a-15b4-45ab-afca-d9af35b4d3a1",
        "contact_id": "14b278db-6db8-448f-a5db-8d6ce46a3451",
        "phone": "+1234567890",
        "phone_international": "+1 234-567-890",
        "region_code": "US",
        "template_id": null,
        "template_name": null,
        "template_category": null,
        "channel": "sms",
        "message_body": null,
        "status": "DELIVERED",
        "direction": "OUTBOUND",
        "created_at": "2026-08-03T11:56:24.2237573+00:00",
        "price": 0.0075,
        "active_contact_price": 0,
        "events": null
      }
    ],
    "pagination": {
      "page": 1,
      "page_size": 20,
      "total_count": 1,
      "total_pages": 1,
      "has_more": false,
      "cursors": null
    }
  },
  "error": null,
  "meta": {
    "request_id": "req_7X9zKp2jDw",
    "timestamp": "2026-08-03T12:01:24.2237921+00:00",
    "version": "v3"
  }
}
{
  "success": false,
  "data": null,
  "error": {
    "code": "VALIDATION_005",
    "message": "Page must be greater than 0",
    "details": null,
    "doc_url": "https://docs.sent.dm/reference/api/error-catalog"
  },
  "meta": {
    "request_id": "req_7X9zKp2jDw",
    "timestamp": "2026-08-03T12:01:24.2238201+00:00",
    "version": "v3"
  }
}
Empty
Empty
{
  "success": false,
  "data": null,
  "error": {
    "code": "INTERNAL_001",
    "message": "An unexpected error occurred. Please contact support with request ID: req_7X9zKp2jDw",
    "details": null,
    "doc_url": "https://docs.sent.dm/reference/api/error-catalog"
  },
  "meta": {
    "request_id": "req_7X9zKp2jDw",
    "timestamp": "2026-08-03T12:01:24.2238205+00:00",
    "version": "v3"
  }
}